function display_results_bruite_aux(filename, alpha, ech)



File  = load(filename);
[n_p, ~] = size(File.P);


if alpha == 0
    val = File.val/72
else
    val = 0;    
end;

figure(1000); % the figure where we accumulate the results for each 'ech' value 
hold on;
contour(File.X, File.Y, File.Z, [val,val], 'LineWidth', 1, 'LineColor', colorFromAlpha(alpha));
hold off;

f = figure;
hold on;

File.S.T.plot();
scatter(File.P(:,1), File.P(:,2));
quiver(File.P(:,1), File.P(:,2), File.N_P(:,1), File.N_P(:,2));

%File.S.T.plotV();
contour(File.X, File.Y, File.Z, 10);
if alpha == 0
    disp(1);
    contour(File.X, File.Y, File.Z, [0,0], 'LineWidth', 2, 'LineColor', 'b');

contour(File.X, File.Y, File.Z, [val,val], 'LineWidth', 2, 'LineColor', 'r');
else
    contour(File.X, File.Y, File.Z, [val,val], 'LineWidth', 2, 'LineColor', 'r');

end;
title(sprintf('%d points, alpha = %d', n_p, alpha));
axis square;
%axis equal;
axis([0.25,0.75,0.25,0.75])

hold off;

print(f, '-r400', '-dpng', sprintf('Output/Bruite/final__a%d_np%d.png', alpha, n_p));
axis([0.45,0.75,0.45,0.75]);
print(f, '-r400', '-dpng', sprintf('Output/Bruite/final__zoom_a%d_np%d.png', alpha, n_p));


    function c = colorFromAlpha(a)
        switch a
            case 0
                c = 'b';
            case 0.01
                c = 'r';
            case 0.1
                c = 'm';
            case 1
                c = 'k';
            case 40
                c = 'y';
            case 100
                c = 'k';
            otherwise
                c = 'b';
        end;
    end

end